FROM php:8.0-fpm-buster

LABEL maintainer="Oleg Martishevich <oleg.martishevich@gmail.com>"

RUN apt-get update -yqq && \
    apt-get install -yqq \
      libevent-dev \
      zlib1g-dev \
      wget \
      unzip \
      libzip-dev \
      libgmp-dev \
      zlib1g-dev \
      libpng-dev \
      vim \
      procps && \
      apt-get clean

RUN docker-php-ext-install pdo_mysql && \
    docker-php-ext-install bcmath    && \
    docker-php-ext-install gmp       && \
    docker-php-ext-install gd        && \
    docker-php-ext-install zip

RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer

COPY php.dev.ini /usr/local/etc/php/php.ini

WORKDIR /var/www/html

RUN chown -R 1000.1000 /var/www/html
